Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Interface CredentialCreationOptionsParameters.IUserHandleStage

All Known Implementing Classes:
  `CredentialCreationOptionsParameters.Builder`

Enclosing class:
  CredentialCreationOptionsParameters

public static interface CredentialCreationOptionsParameters.IUserHandleStage
Stage interface.

## Method Summary

Modifier and Type
Method
Description
`CredentialCreationOptionsParameters.IAttestationConveyancePreferenceStage`
`withUserId(byte[] userId)`
The user.id supplied to the authenticator during registration.

## Method Details

### withUserId

CredentialCreationOptionsParameters.IAttestationConveyancePreferenceStage withUserId(@Nonnull byte[] userId)
The user.id supplied to the authenticator during registration. As generated by the IdP.

Parameters:
  `userId` - the user.id
Returns:
  the next stage